##jfreechart
data1<-read.table("jfreechart/Assertion_quantity/results-normal.txt")
numberOfAssertions1<-data1$V6
numberOfMethods1<-data1$V5
mutationScore1<-data1$V3/11299
cc<-read.table("jfreechart/Assertion_coverage/results-normal-checked-coverage.txt")
checkedCoverage1<-cc$V2/47822
sc<-read.table("jfreechart/Assertion_coverage/results(statement-coverage-normal).txt")
statementCoverage1<-sc$V2

plot(statementCoverage1, mutationScore1, pch=16, cex=0.5, xlab="Coverage", ylab="", cex.lab=2.1, cex.axis=2.1, cex.main=2.1, cex.sub=2.1, xaxt="n")
axis(1, at=pretty(statementCoverage1), lab=pretty(statementCoverage1)*100, las=TRUE, cex.axis=1.9)
mtext("Mutation Score", cex=2.1, side=2, line=2.6)

points(checkedCoverage1, mutationScore1, pch=16, cex=0.5)
abline(lm(mutationScore1~statementCoverage1), col="red")
abline(lm(mutationScore1~checkedCoverage1), col="red")
text(0.115, 0.9, "Assertion coverage", cex=1.9)
text(0.41, 0.38, "Statement coverage", cex=1.9)
text(0.11, 0.85, "R^2 - 0.9836", cex=1.9)
text(0.41, 0.33, "R^2 - 0.9881", cex=1.9)

plot(numberOfAssertions1, checkedCoverage1, pch=16, cex=0.5, xlab="Number of Assertions", ylab="", cex.lab=2.1, cex.axis=2.1, cex.main=2.1, cex.sub=2.1, yaxt="n")
axis(2, at=pretty(checkedCoverage1), lab=pretty(checkedCoverage1)*100, las=TRUE, cex.axis=1.9)
mtext("Assertion Coverage", cex=2.1, side=2, line=2.6)



##javalibrary
data1<-read.table("javalibrary/results-normal.txt")
numberOfAssertions1<-data1$V6
numberOfMethods1<-data1$V5
mutationScore1<-data1$V3/2546
cc<-read.table("javalibrary/results-coverage-normal.txt")
checkedCoverage1<-cc$V3/5946
statementCoverage1<-cc$V2

plot(statementCoverage1, mutationScore1, pch=16, cex=0.5, xlab="Coverage", ylab="", cex.lab=2.1, cex.axis=2.1, cex.main=2.1, cex.sub=2.1, xaxt="n")
axis(1, at=pretty(statementCoverage1), lab=pretty(statementCoverage1)*100, las=TRUE, cex.axis=1.9)
mtext("Mutation Score", cex=2.1, side=2, line=2.6)

points(checkedCoverage1, mutationScore1, pch=16, cex=0.5)
abline(lm(mutationScore1~statementCoverage1), col="red")
abline(lm(mutationScore1~checkedCoverage1), col="red")
text(0.115, 0.9, "Assertion coverage", cex=1.9)
text(0.41, 0.38, "Statement coverage", cex=1.9)

plot(numberOfAssertions1, checkedCoverage1, pch=16, cex=0.5, xlab="Number of Assertions", ylab="", cex.lab=2.1, cex.axis=2.1, cex.main=2.1, cex.sub=2.1, yaxt="n")
axis(2, at=pretty(checkedCoverage1), lab=pretty(checkedCoverage1)*100, las=TRUE, cex.axis=1.9)
mtext("Assertion Coverage", cex=2.1, side=2, line=2.6)




##asterisk
data1<-read.table("asterisk/results-normal.txt")
numberOfAssertions1<-data1$V6
numberOfMethods1<-data1$V5
mutationScore1<-data1$V3/1084
cc<-read.table("asterisk/results-coverage-normal.txt")
checkedCoverage1<-cc$V3/8895
statementCoverage1<-cc$V2

plot(statementCoverage1, mutationScore1, pch=16, cex=0.5, xlab="Coverage", ylab="", cex.lab=2.1, cex.axis=2.1, cex.main=2.1, cex.sub=2.1, xaxt="n")
axis(1, at=pretty(statementCoverage1), lab=pretty(statementCoverage1)*100, las=TRUE, cex.axis=1.9)
mtext("Mutation Score", cex=2.1, side=2, line=2.6)

points(checkedCoverage1, mutationScore1, pch=16, cex=0.5)
abline(lm(mutationScore1~statementCoverage1), col="red")
abline(lm(mutationScore1~checkedCoverage1), col="red")
text(0.115, 0.9, "Assertion coverage", cex=1.9)
text(0.41, 0.38, "Statement coverage", cex=1.9)

plot(numberOfAssertions1, checkedCoverage1, pch=16, cex=0.5, xlab="Number of Assertions", ylab="", cex.lab=2.1, cex.axis=2.1, cex.main=2.1, cex.sub=2.1, yaxt="n")
axis(2, at=pretty(checkedCoverage1), lab=pretty(checkedCoverage1)*100, las=TRUE, cex.axis=1.9)
mtext("Assertion Coverage", cex=2.1, side=2, line=2.6)



##lambdaj
data1<-read.table("lambdaj/results-normal.txt")
numberOfAssertions1<-data1$V6[1:108]
numberOfMethods1<-data1$V5[1:108]
mutationScore1<-data1$V3[1:108]/957
cc<-read.table("lambdaj/results-coverage-normal.txt")
checkedCoverage1<-cc$V3/1579
statementCoverage1<-cc$V2

plot(statementCoverage1, mutationScore1, pch=16, cex=0.5, xlab="Coverage", ylab="", cex.lab=2.1, cex.axis=2.1, cex.main=2.1, cex.sub=2.1, xaxt="n")
axis(1, at=pretty(statementCoverage1), lab=pretty(statementCoverage1)*100, las=TRUE, cex.axis=1.9)
mtext("Mutation Score", cex=2.1, side=2, line=2.6)

points(checkedCoverage1, mutationScore1, pch=16, cex=0.5)
abline(lm(mutationScore1~statementCoverage1), col="red")
abline(lm(mutationScore1~checkedCoverage1), col="red")
text(0.115, 0.9, "Assertion coverage", cex=1.9)
text(0.41, 0.38, "Statement coverage", cex=1.9)

plot(numberOfAssertions1, checkedCoverage1, pch=16, cex=0.5, xlab="Number of Assertions", ylab="", cex.lab=2.1, cex.axis=2.1, cex.main=2.1, cex.sub=2.1, yaxt="n")
axis(2, at=pretty(checkedCoverage1), lab=pretty(checkedCoverage1)*100, las=TRUE, cex.axis=1.9)
mtext("Assertion Coverage", cex=2.1, side=2, line=2.6)